# $Revision: 1.23 $, $Date: 2002/08/15 17:51:58 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Zlib
Summary:	IO::Zlib Perl module - IO:: style interface to Compress::Zlib
Summary(pl):	Modu Perla IO::Zlib - interfejs w stylu IO:: do moduu Compress::Zlib
Name:		perl-IO-Zlib
Version:	1.01
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Compress-Zlib
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Zlib provides an IO:: style interface to Compress::Zlib and hence
to gzip/zlib compressed files. It provides many of the same methods as
the IO::Handle interface.

%description -l pl
Modu IO::Zlib udostpnia interfejs w stylu IO:: do moduu
Compress::Zlib, a w ten sposb do plikw skompresowanych gzipem lub
bibliotek zlib. Udostpnia wiele metod takich samych jak interfejs
IO::Handle.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/IO/Zlib.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-IO-Zlib.spec,v $
Revision 1.23  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.22  2002/08/11 19:36:48  radek
- release up

Revision 1.21  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.20  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:17:44  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:27:49  depesz
adapterized

Revision 1.14  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:11:12  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/29 07:51:43  mis
- autoupdated to 1.01

Revision 1.9  2001/02/19 10:27:09  mis
- updated (by autoup) to 1.00

Revision 1.8  2001/01/08 22:18:39  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
